<?php

namespace Amazingcat\ProductModal\Model;

use Exception;
use Magento\Catalog\Api\ProductRepositoryInterface;
use Magento\Catalog\Api\Data\ProductInterface;

class ProductChecker
{
    /**
     * @var ProductRepositoryInterface
     */
    protected $productRepository;

    /**
     * ProductChecker constructor.
     *
     * @param ProductRepositoryInterface $productRepository
     */
    public function __construct(
        ProductRepositoryInterface $productRepository
    ) {
        $this->productRepository = $productRepository;
    }

    /**
     * Returns product if it is exists and visible.
     *
     * @param int $productId
     *
     * @return ProductInterface|null
     */
    public function check($productId)
    {
        try {
            $product = $this->productRepository->getById($productId);
            if (isset($product) && $product->isVisibleInCatalog()) {
                return $product;
            }
        } catch (Exception $e) {
        }

        return null;
    }
}
