define([], function () {
  'use strict';

  /**
   *
   * @constructor
   */
  function URLParamsParser() {

    /**
     *
     * @param iFrame
     * @returns {Array}
     */
    this.get = function (iFrame) {
      var url;

      if (iFrame) {
        url = location.href
      } else {
        url = window.parent.location.href;
      }

      var keys = url.match(/[?|&]([^&]+)=/g);
      var values = url.match(/=([^&]+)/g);
      var params = {};

      if (Array.isArray(values) && values.length > 0) {
        for (var i in keys) {
          params[keys[i].replace(/[?|&|=]/g, '')] = values[i].replace(/[?|&|=]/g, '');
        }
      }

      return params;
    };
  }

  return new URLParamsParser();

});
